/*******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ******************************************************************************/

package jsonptest.server;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.*;
import java.util.zip.*;

/**
 * This is the main servlet for testing our load testing program. This servlet
 * is just a simple demo so we have something to test against. This server will
 * show the form MainForm.html on get requests and display the parameters on put
 * and post requests.
 */
public class MainServlet extends HttpServlet
{
    /**
     * This is the URL for the second server in this example.  You need to change
     * this value to something that works in your environment.
     *
     */
    private static final String SECOND_SERVER_URL = "http://foo.bit.com:8081";
    
    /**
     * This method handles GET requests from the browser or the load client.
     * This method will load the return the text of MainForm.html
     * 
     * @param request
     *        the http request
     * @param response
     *        the http response
     * @exceptn ServletException
     * @exception IOException
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException,
            IOException
    {
        response.setContentType("application/json");
        PrintWriter out = response.getWriter();

        System.out.println("request: " + request.getRequestURL());
        if (request.getRequestURL().indexOf(SECOND_SERVER_URL) > -1) {
            String s = "done({\"message\" : \"You successfully bypassed the same origin and made a request to " + request.getRequestURL() + "\"});";
            out.println(s);
            return;
        }
        String s = " jsonp123({\"url\" : \"" + SECOND_SERVER_URL + "/jsonptest/jsonp.srv\"});";
        System.out.println("s: " + s);
        out.println(s);
        
        out.flush();
        out.close();
    }
}
